Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-6403

puppetlabs-stdlib(file_line) is not compatible with puppet agent 3.8.7

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Won't Do
    • Affects Version/s: PUP 3.8.7
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None
    • Environment:

      puppet client is installed in windows server 2012.
      puppet server is on centos

    • Template:
    • Team:
      Modules

      Description

      Hello guys, I tried to use file_line with puppet agent 3.8.7, but is not working. In resources.txt you will not see any step done related file_line, but in client_data->catalog-> 'yourname.json' this instruction is visible . After I reverted my puppet agent to 3.8.6 all steps are good . For both I used puppet sever version 3.8.7.
      puppetlabs-stdlib version = 4.12.0

      Kind regards, Stefan

        Attachments

          Activity

            People

            Assignee:
            eric.sorenson Eric Sorenson
            Reporter:
            stefan0726 Stefan Sobea
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Zendesk Support